%global  basever 0.9.5

Name:           mate-emerald-themes-extra
URL:            http://packages.linuxmint.com
License:        GPLv2+
Group:          Graphical desktop/Mate
Version:        0.9.5
Release:        %mkrel 1
Summary:        Themes for Emerald, a window decorator for Compiz Fusion
Source0:        http://packages.linuxmint.com/pool/main/e/emerald-themes-extra/emerald-themes-extra_0.7-mint3.tar.xz
Source1:        http://download.raveit.de/pub/Mate-Desktop/SOURCE/TraditionalGreen-emerald-theme.tar.xz
Source2:        Tango-Emerald-theme.tar.xz
Source3:        emerald-themes-extra.license
BuildArch:      noarch
Requires:       mate-compiz >= %{basever}
Requires:       mate-emerald >= %{basever}
Requires:	mate-emerald-themes >= %{basever}

%description
Emerald is themeable window decorator and compositing manager for Compiz Fusion.

This package contains extra themes for emerald.

%prep
%setup -qn emerald-themes-extra-0.7
tar -xJf %{SOURCE1}
tar -xJf %{SOURCE2}
cp -p %{SOURCE3} COPYING

%build
#no build needed

%install
rm -rf %{buildroot}
cp -p debian/changelog Changelog
cp -p debian/copyright Copyright
mv TraditionalGreen/COPYING COPYING.TraditionalOK

mkdir -p %{buildroot}%{_datadir}/emerald/themes
cp -R usr/share/emerald/themes/* %{buildroot}%{_datadir}/emerald/themes/
cp -R TraditionalGreen %{buildroot}%{_datadir}/emerald/themes/TraditionalGreen
cp -R Tango-Emerald %{buildroot}%{_datadir}/emerald/themes/Tango-Emerald

rm -r %{buildroot}%{_datadir}/emerald/themes/BlackLine
rm -r %{buildroot}%{_datadir}/emerald/themes/Fogo
rm -r %{buildroot}%{_datadir}/emerald/themes/gray-neu

# Fix file attributes
pushd %{buildroot}
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;
popd

%files
%defattr(-,root,root,-)
%doc COPYING Changelog Copyright COPYING.TraditionalOK
%{_datadir}/emerald/themes/Blueray/
%{_datadir}/emerald/themes/beryl-clean/
%{_datadir}/emerald/themes/dark_blue/
%{_datadir}/emerald/themes/Eternal/
%{_datadir}/emerald/themes/fadeout/
%{_datadir}/emerald/themes/ghosts_edge_lime/
%{_datadir}/emerald/themes/Greenhouse_Effect/
%{_datadir}/emerald/themes/iridescence/
%{_datadir}/emerald/themes/JAGT/
%{_datadir}/emerald/themes/komar-blue/
%{_datadir}/emerald/themes/Mac4Lin_Emerald_Aqua_v1.0/
%{_datadir}/emerald/themes/Mac4Lin_Emerald_Graphite_v1.0/
%{_datadir}/emerald/themes/Metrosuave/
%{_datadir}/emerald/themes/ocean/
%{_datadir}/emerald/themes/Overglossed/
%{_datadir}/emerald/themes/slowy/
%{_datadir}/emerald/themes/starwindowtheme/
%{_datadir}/emerald/themes/Tango-Emerald
%{_datadir}/emerald/themes/TraditionalGreen/

%clean
rm -rf  %{buildroot}


%changelog
* Sun Dec 17 2017 Zen Subz <techars21 at gmail dot com> - 0.9.5-1pclos2017
- Build for PCLinuxOS with extra themes
